package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ProBadBean {

    private List<DataBean> data;


    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * seriesId : null
         * variety : null
         * scrapCount : 132
         * scrapWeight : 4118.0
         * scrapRate : 0.0
         * modulus : 0.0
         * nonCompliant : null
         */

        private Object seriesId;
        private String variety;
        private int scrapCount;
        private double scrapWeight;
        private double scrapRate;
        private double modulus;
        private Object nonCompliant;

        public Object getSeriesId() {
            return seriesId;
        }

        public void setSeriesId(Object seriesId) {
            this.seriesId = seriesId;
        }

        public String getVariety() {
            return variety;
        }

        public void setVariety(String variety) {
            this.variety = variety;
        }

        public int getScrapCount() {
            return scrapCount;
        }

        public void setScrapCount(int scrapCount) {
            this.scrapCount = scrapCount;
        }

        public double getScrapWeight() {
            return scrapWeight;
        }

        public void setScrapWeight(double scrapWeight) {
            this.scrapWeight = scrapWeight;
        }

        public double getScrapRate() {
            return scrapRate;
        }

        public void setScrapRate(double scrapRate) {
            this.scrapRate = scrapRate;
        }

        public double getModulus() {
            return modulus;
        }

        public void setModulus(double modulus) {
            this.modulus = modulus;
        }

        public Object getNonCompliant() {
            return nonCompliant;
        }

        public void setNonCompliant(Object nonCompliant) {
            this.nonCompliant = nonCompliant;
        }
    }
}
